
Figure - Bug #116737
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】打开游戏模式，打开王者，在工具箱中打开另一游戏小窗，点击mini模式按
钮->设备重启
2023-03-06 10:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-06

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Reproducibility: Every time Fixed Version: 2023-03-09

Test Type: ST Root cause: 拖动小窗时会重新计算窗口大小，计算失败导致主线程crash

Description

【前提条件】

1、设备正常启动

2、设备中有王者和“一个暂未被归为游戏的游戏（如造梦无双）”

【测试步骤】

1、打开游戏模式

2、打开王者

3、在工具箱中打开另一游戏小窗

4、点击mini模式按钮

【预期结果】

4、该小窗可以正常切换到mini模式或者所有游戏都不能以小窗模式打开

【实际结果】

4、设备重启

【复现率】

3/3

History

#1 - 2023-03-06 11:20 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

需要更新游戏应用列表

#2 - 2023-03-07 16:52 - CD FW-程天颖

■ Current conclusion

把造梦无双和造梦西游添加进游戏列表

■ My analysis
拖动小窗时会重新计算窗口大小，计算失败导致主线程crash

先让这两个游戏不在显示小窗程序中显示，后续从本根解决问题

■ Next action

代码入库

#3 - 2023-03-08 19:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186353 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode: Add Game package to game list1.Remove game list to framework base res2.Add game package and deduplicationTC-RID: 1201-0204801IssueID:

TS-R-BUG-116737Change-Id: I445863a57fcd8ca24df7d68dc858d35c68a01316

#4 - 2023-03-08 19:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186143 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode: Add Game package to game list1.Remove game list to framework base res2.Add game package and deduplicationTC-RID: 1201-0204801IssueID:

TS-R-BUG-116737Change-Id: Ib361a5e90b57b3d058a7813ff795fd249c949a2c

#5 - 2023-03-08 19:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186348 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Launcher:Add game to game Lis1.Use GameManager determine if it's a game2.Remove Game List form launcherTC-RID: 1201-0205301IssueID:

TS-R-BUG-116737Change-Id: I788c1fedcc811c1fe787b93fe0f2269487a76c50

#6 - 2023-03-09 10:11 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

2025-07-04 2/3



- Fixed Version set to 2023-03-09

- Root cause set to 拖动小窗时会重新计算窗口大小，计算失败导致主线程crash

■ Current conclusion

bug已解决，代码已入库

■ My analysis

拖动小窗时会重新计算窗口大小，计算失败导致主线程crash

在应用宝中爬取了一千个游戏包名，并加入游戏列表，并去重，并且把游戏包名判断的逻辑和游戏列表功能移动到GameManager中,不让此游戏以小窗的

形式打开

■ Submiti

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/186353

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/186143

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186348

#7 - 2023-03-09 10:11 - CD FW-程天颖

- % Done changed from 0 to 100

#8 - 2023-03-11 13:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

3.11

验证通过

#9 - 2023-03-11 13:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

log.txt 9.29 MB 2023-03-06 CD TEST-方永红

tlog_sts40x190078_006_0304190336.tar.gz 18.3 MB 2023-03-06 CD TEST-方永红
